# -*-makefile-*-
# $Id: template 6001 2006-08-12 10:15:00Z mkl $
#
# Copyright (C) 2006 by Sascha Hauer
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_SCREEN) += screen

#
# Paths and names
#
SCREEN_VERSION	:= 4.0.2
SCREEN		:= screen-$(SCREEN_VERSION)
SCREEN_SUFFIX	:= tar.gz
SCREEN_URL	:= $(PTXCONF_SETUP_GNUMIRROR)/screen/$(SCREEN).$(SCREEN_SUFFIX)
SCREEN_SOURCE	:= $(SRCDIR)/$(SCREEN).$(SCREEN_SUFFIX)
SCREEN_DIR	:= $(BUILDDIR)/$(SCREEN)

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

$(SCREEN_SOURCE):
	@$(call targetinfo)
	@$(call get, SCREEN)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

SCREEN_PATH	:= PATH=$(CROSS_PATH)
SCREEN_ENV 	:= $(CROSS_ENV)

#
# autoconf
#
SCREEN_AUTOCONF := \
	$(CROSS_AUTOCONF_USR) \
	--with-sys-screenrc=/etc/screenrc

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/screen.targetinstall:
	@$(call targetinfo)

	@$(call install_init, screen)
	@$(call install_fixup,screen,PACKAGE,screen)
	@$(call install_fixup,screen,PRIORITY,optional)
	@$(call install_fixup,screen,VERSION,$(SCREEN_VERSION))
	@$(call install_fixup,screen,SECTION,base)
	@$(call install_fixup,screen,AUTHOR,"Robert Schwebel <r.schwebel\@pengutronix.de>")
	@$(call install_fixup,screen,DEPENDS,)
	@$(call install_fixup,screen,DESCRIPTION,missing)

	@$(call install_copy, screen, 0, 0, 0755, $(SCREEN_DIR)/screen, /usr/bin/screen)

	@if [ -n "$(PTXCONF_SCREEN_CONFIG_FILE)" ]; then \
		$(call install_copy, screen, 0, 0, 0755, $(PTXCONF_SCREEN_CONFIG_FILE), /etc/screenrc, n); \
	fi

	@$(call install_finish,screen)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

screen_clean:
	rm -rf $(STATEDIR)/screen.*
	rm -rf $(PKGDIR)/screen_*
	rm -rf $(SCREEN_DIR)

# vim: syntax=make
